geos::index::strtree::AbstractSTRtree::IntersectsOp Class Referenceabstract

A test for intersection between two bounds, necessary because subclasses of AbstractSTRtree have different implementations of bounds. More...

`#include <AbstractSTRtree.h>`

## Public Member Functions

virtual bool | intersects (const void *aBounds, const void *bBounds)=0

## Detailed Description

A test for intersection between two bounds, necessary because subclasses of AbstractSTRtree have different implementations of bounds.

## Member Function Documentation

## intersects()

virtual bool geos::index::strtree::AbstractSTRtree::IntersectsOp::intersects | ( | const void * | aBounds,
|  | const void * | bBounds )

pure virtual

For STRtrees, the bounds will be Envelopes; for SIRtrees, Intervals; for other subclasses of AbstractSTRtree, some other class.

Parameters

  aBounds | the bounds of one spatial object
  bBounds | the bounds of another spatial object

Returns
  whether the two bounds intersect

The documentation for this class was generated from the following file:

- AbstractSTRtree.h